
# Conditional build:
%bcond_with	tests	# do perform "make test"

%define		pdir	Devel
%define		pnam	Caller
%include	/usr/lib/rpm/macros.perl
Summary:	Devel::Caller - meatier versions of Perl function "caller"
Summary(pl.UTF-8):	Devel::Caller - treściwsza wersja perlowej funkcji "caller"
Name:		perl-Devel-Caller
Version:	2.05
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2d197318ce8e8d736f23b7f751e8b093
URL:		http://search.cpan.org/dist/Devel-Caller/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-PadWalker >= 0.08
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Devel::Caller Perl module provides meatier versions of "caller"
function.

%description -l pl.UTF-8
Moduł Perla Devel::Caller udostępnia treściwszą wersję funkcji
"caller".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Devel/*.pm
%dir %{perl_vendorarch}/auto/Devel/Caller
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/Caller/*.so
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-Caller.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 18a916d
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4a6b527
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 1ed3108
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> aa34165
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3754b48
- x32 rebuild
- release 5 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 45ae186
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 93bac1a
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f0f3ac4
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8fddabb
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3e9988d
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 58becf7
- up to 2.05

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e1a47be
- release 2

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> fa4d862
- updated to 2.03

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 43eb96a
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 105b4c8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9eac98b
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8228563
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> f5be0df
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> e457bfd
- license fixes/unufication

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> adbbc11
- make test doesn't work here, use ./Build test
- switched bcond from without to with (it doesn't pass tests for me,
  don't know why... yet)

